<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Query Indices</title>
</head>
<body>
		<div class="container my-5">
            <h2 class="mb-5">Query Indices</h2>
             <div class="row">
                <div class="col-md-6">
                    <form action="#" th:action="@{/query/${stock}}" th:object="${stock}" method="get">
                        <div class="row">
                            <div class="form-group col-md-6">
                                <label for="stock_ticker" class="col-form-label">Stock Ticker</label>
                                <input type="text" th:field="*{stock}" class="form-control" id="stock" placeholder="Stock">
                                <span th:if="${#fields.hasErrors('stock')}" th:errors="*{stock}" class="text-danger"></span>
                            </div>
                            </div>
                        <div class="row">
                            <div class="col-md-6 mt-5">
                                <input type="submit" class="btn btn-primary" value="Query Index Data">
                            </div>
                        </div>    
                    </form>
                </div>
            </div>
        </div> 
</body>
</html>